Package javax.help

# Class HelpSet.DefaultHelpSetFactory

java.lang.Object
javax.help.HelpSet.DefaultHelpSetFactory

Enclosing class:
  `HelpSet`

public static class HelpSet.DefaultHelpSetFactory extends Object
The default HelpSetFactory that processes HelpSets.

## Constructor Summary

Constructors
Constructor
Description
`DefaultHelpSetFactory()`

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`listMessages()`
Enumerates all the error messages.
`HelpSet`
`parsingEnded(HelpSet hs)`
Parsing has ended.
`void`
`parsingStarted(URL source)`
Parsing starts.
`void`
`processDOCTYPE(String root, String publicID, String systemID)`
Process a DOCTYPE
`void`
`processHomeID(HelpSet hs, String value)`
A HomeID is found.
`void`
`processMapRef(HelpSet hs, Hashtable attributes)`
process a <mapref>
`void`
`processPI(HelpSet hs, String target, String data)`
Processes a PI
`void`
`processPresentation(HelpSet hs, String name, boolean defaultPresentation, boolean displayViews, boolean displayViewImages, Dimension size, Point location, String title, String imageID, boolean toolbar, Vector helpActions)`
`void`
`processSubHelpSet(HelpSet hs, Hashtable attributes)`
Called when a sub-HelpSet is found.
`void`
`processTitle(HelpSet hs, String value)`
A title is found
`void`
`processView(HelpSet hs, String name, String label, String type, Hashtable viewAttributes, String data, Hashtable dataAttributes, Locale locale)`
`void`
`reportMessage(String msg, boolean validParse)`
Reports an error message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultHelpSetFactory

public DefaultHelpSetFactory()

## Method Details

### parsingStarted

public void parsingStarted(URL source)
Parsing starts.

### processDOCTYPE

public void processDOCTYPE(String root, String publicID, String systemID)
Process a DOCTYPE

Parameters:
  `publicID` - the document. If null or is not valid a parsingError will be generated.

### processPI

public void processPI(HelpSet hs, String target, String data)
Processes a PI

### processTitle

public void processTitle(HelpSet hs, String value)
A title is found

### processHomeID

public void processHomeID(HelpSet hs, String value)
A HomeID is found.

### processMapRef

public void processMapRef(HelpSet hs, Hashtable attributes)
process a <mapref>

Parameters:
  `Spec` - to the URL
  `Attributes` - for the tag

### processView

public void processView(HelpSet hs, String name, String label, String type, Hashtable viewAttributes, String data, Hashtable dataAttributes, Locale locale)

### processPresentation

public void processPresentation(HelpSet hs, String name, boolean defaultPresentation, boolean displayViews, boolean displayViewImages, Dimension size, Point location, String title, String imageID, boolean toolbar, Vector helpActions)

### processSubHelpSet

public void processSubHelpSet(HelpSet hs, Hashtable attributes)
Called when a sub-HelpSet is found.

### reportMessage

public void reportMessage(String msg, boolean validParse)
Reports an error message.

### listMessages

public Enumeration listMessages()
Enumerates all the error messages.

### parsingEnded

public HelpSet parsingEnded(HelpSet hs)
Parsing has ended. Last chance to do something to the HelpSet.

Parameters:
  `hs` - The HelpSet the parsing ended on. A null hs is valid.